> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://useroot.docs.buildwithfern.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://useroot.docs.buildwithfern.com/_mcp/server.

# Get payment method by ID for payer

GET https://api.useroot.com/api/payers/{payer_id}/payment-methods/{payment_method_id}

Retrieve a specific payment method for a payer by its ID.

Reference: https://useroot.docs.buildwithfern.com/api-reference/payment-methods-api/payer-payment-methods-api/get-payer-payment-method-by-id

## Authentication

- `x-api-key` header (required) — RootPay API key sent in the x-api-key header. Keys are environment-scoped: live_* for production, test_* for sandbox.

## Request

### Path parameters

- `payer_id` (string, required)
- `payment_method_id` (string, required)

## Response

### 200

Payment method retrieved successfully

- `data` (object, required) — Shared response model for bank payment methods (both payee and payer).
  - `created_at` (datetime, required)
  - `updated_at` (datetime, required)
  - `id` (string, required)
  - `account_last_four` (string, required)
  - `routing_number` (string, required)
  - `currency_code` (enum, required)
    - Allowed values: `USD`, `GBP`, `INR`
  - `country_code` (enum, required)
    - Allowed values: `US`, `GB`, `IN`
  - `verification_status` (enum, required)
    - Allowed values: `verified`, `pending`, `failed`
  - `is_default` (boolean, required)
  - `supported_rails` (list of enum, required)
    - Allowed values: `instant_card`, `instant_bank`, `same_day_ach`, `standard_ach`, `wire`, `{'instant_card', 'instant_bank'}`, `{'standard_ach', 'same_day_ach'}`, `{'standard_ach', 'wire'}`
  - `payee_id` (string, optional, nullable)
  - `payer_id` (string, optional, nullable)
  - `warning` (string, optional, nullable)
- `warning` (string, optional, nullable)

## Examples

### United States (ABA)

**Response**

```json
{
  "data": {
    "created_at": "2024-03-20T12:00:00Z",
    "updated_at": "2024-03-20T12:00:00Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "account_last_four": "7890",
    "routing_number": "021000021",
    "currency_code": "USD",
    "country_code": "US",
    "verification_status": "verified",
    "is_default": true,
    "supported_rails": [
      "same_day_ach",
      "standard_ach"
    ],
    "payer_id": "123e4567-e89b-12d3-a456-426614174000"
  }
}
```

**SDK Code**

```python United States (ABA)
import requests

url = "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript United States (ABA)
const url = 'https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go United States (ABA)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby United States (ABA)
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java United States (ABA)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php United States (ABA)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp United States (ABA)
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift United States (ABA)
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Unverified bank account

**Response**

```json
{
  "data": {
    "created_at": "2024-03-20T12:00:00Z",
    "updated_at": "2024-03-20T12:00:00Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "account_last_four": "7890",
    "routing_number": "021000021",
    "currency_code": "USD",
    "country_code": "US",
    "verification_status": "pending",
    "is_default": false,
    "supported_rails": [
      "same_day_ach",
      "standard_ach"
    ],
    "payer_id": "123e4567-e89b-12d3-a456-426614174000",
    "warning": "Payment method was created but not set as default because it is not verified"
  }
}
```

**SDK Code**

```python Unverified bank account
import requests

url = "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Unverified bank account
const url = 'https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Unverified bank account
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Unverified bank account
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Unverified bank account
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Unverified bank account
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Unverified bank account
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Unverified bank account
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/payers/payer_id/payment-methods/payment_method_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```